
debug=true

# service bus
servicebus.run_timeout=290
servicebus.queue=prod_service_bus
servicebus.queue.failed=prod_failed_service_bus
servicebus.max_number_of_messages=4
#servicebus.queue_regex=^([a-zA-Z0-9]+)_(to_process|completed|failed|monitor|invalid)_([a-zA-Z0-9_]+)$
servicebus.queue_regex=^([a-zA-Z0-9]+)_(to_process|[a-zA-Z]+)_([a-zA-Z0-9_]+)$
servicebus.swallow_regex=^([a-zA-Z0-9]+)_(started)_([a-zA-Z0-9_]+)$

# dsr steps monitoring filter
filter.steps.enabled=true
filter.steps.decode_service={extraction_and_normalization=EXTRACT,extraction_and_validation:EXTRACT,cleaning_and_normalization:CLEAN,hypercube_slice:HYPERCUBE,identification:IDENTIFY,pricing:PRICE,claim:CLAIM,unidentified:UNILOAD,pre_learning:PRELEARN,learning:LEARN}
filter.steps.decode_type={to_process:QUEUED,started:STARTED,completed:FINISHED,failed:FINISHED}
filter.steps.decode_status={completed:OK,failed:KO}

# ccid metadata filter
filter.ccid.enabled=true

# sqs failed
sqsfailed.queues.regex=.*/(prod_failed_.*)

# ipi ulisse sqs merger
ipiulisse.queue.ipi=prod_completed_ipi
ipiulisse.queue.ulisse=prod_completed_ulisse
ipiulisse.queue.service_bus=prod_service_bus
ipiulisse.queue.ipi_ulisse=prod_completed_ipi_ulisse
ipiulisse.repository=prod_ipi_ulisse.repository


# log4j 2
#log4j.configuration=src/main/resources/log4j2.xml
log4j.configuration=/home/orchestrator/sophia/servicebus/log4j2-sqs-ipi-ulisse.xml

# proxy settings
#proxy.host=10.255.1.241
#proxy.port=8080

# AWS default region
aws.region=eu-west-1

# AWS credentials
aws.credentials=/home/orchestrator/sophia/servicebus/AwsCredentials.properties


# sqs service
sqs.endpoint=https://sqs.eu-west-1.amazonaws.com
sqs.max_number_of_messages=1
sqs.visibility_timeout=900


# DBCPDataSourceProvider "MCMDB"
#MCMDB.jdbc.url=jdbc:mysql://localhost:3306/MCMDB_dev?verifyServerCertificate=false&useSSL=true
#MCMDB.jdbc.url=jdbc:mysql://sophiardsmysql.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/MCMDB_dev?verifyServerCertificate=false&useSSL=true
#MCMDB.jdbc.url=jdbc:mysql://sophiardsmysql.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/MCMDB_debug?verifyServerCertificate=false&useSSL=true
#MCMDB.jdbc.user=sophiamysql
#MCMDB.jdbc.password=6*!.84~m%2BW
MCMDB.jdbc.url=jdbc:mysql://siae-sophia-mysql-prod-01.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/MCMDB_prod?verifyServerCertificate=false&useSSL=true
MCMDB.jdbc.user=sophiamysqlprd01
MCMDB.jdbc.password=E~3g%87;W_MM
MCMDB.dbcp.initial_size=0
MCMDB.dbcp.max_total=8
MCMDB.dbcp.max_idle=8
MCMDB.dbcp.min_idle=0
MCMDB.dbcp.max_wait_millis=-1


